## statserial-1.1.tar.bz2

=== Makefile ===
CC	= gcc
LD	= gcc

# for debug
#CFLAGS	= -Wall -g
#LDFLAGS = -N

# for production code
CFLAGS	= -Wall -O3 -fomit-frame-pointer
LDFLAGS = -s

statserial:	statserial.o
	$(LD) $(LDFLAGS) -o statserial statserial.o -lcurses

statserial.o: statserial.c
	$(CC) $(CFLAGS) -c statserial.c

install: statserial
	install -m 555 statserial /usr/local/bin/statserial
	install -m 444 statserial.1 /usr/local/man/man1/statserial.1

clean:
	$(RM) statserial statserial.o core *~

dist:	statserial.c Makefile statserial.1 README
	$(RM) statserial statserial.o core statserial-1.1.tar.gz *~
	cd .. ; tar -czvf statserial-1.1.tar.gz statserial-1.1

=== debian/changelog ===
statserial (1.1-22) unstable; urgency=low

  * Policy compliant up to 3.6.2.0 
  * Debhelper compatibility level 4
  * Edited copyright file to fix lintian old-fsf-address-in-copyright-file

 -- Vince Mulhollon <vlm@debian.org>  Fri, 16 Sep 2005 21:24:03 -0500

statserial (1.1-21) unstable; urgency=low

  * Policy compliant up to 3.5.8.0
  * Fixes manpage-has-bad-whatis-entry (Should not double space manpages)
  * Fixes postinst-should-not-set-usr-doc-link

 -- Vince Mulhollon <vlm@debian.org>  Tue, 17 Dec 2002 20:07:29 -0600

statserial (1.1-20) unstable; urgency=low

  * New maintainer (closes: Bug#119092)
  * Policy compliant up to version 3.5.6.0
  * Added build-depends for debhelper
  * Added build-depends for libncurses5-dev
  * Lintian was annoyed at how README.debian described Debian 
    as "Debian/GNU Linux" instead of "Debian GNU/Linux"

 -- Vince Mulhollon <vlm@debian.org>  Fri, 21 Dec 2001 19:24:01 -0600

statserial (1.1-19) unstable; urgency=low

  * The "LUG Showoff" Release
  * Updated to Standards-Version 3.1.1 (no changes needed)
  * Recompiled for ncurses5.

 -- Brian Bassett <brianb@debian.org>  Thu, 24 Feb 2000 20:16:08 -0800

statserial (1.1-18) unstable; urgency=low

  * statserial now opens device non-blocking (#34653)

 -- Brian Bassett <brianb@debian.org>  Sat, 12 Jun 1999 14:36:21 -0700

statserial (1.1-17) frozen unstable; urgency=low

  * Recompiled for ncurses4.

 -- Brian Bassett <brianb@debian.org>  Tue,  3 Nov 1998 21:40:04 -0800

statserial (1.1-16) unstable; urgency=low

  * Fixed lintian error.
  * Changed maintainer address.

 -- Brian Bassett <brianb@debian.org>  Fri, 28 Aug 1998 21:50:02 -0700

statserial (1.1-15) unstable; urgency=low

  * Updated to Standards Version 2.4.0.0
  * Switched to debhelper
  * Fixed lintian "old-fsf-address" error

 -- Brian Bassett <brian@butterfly.ml.org>  Mon,  9 Feb 1998 22:33:45 -0800

statserial (1.1-14) unstable; urgency=low

  * New maintainer

 -- Brian Bassett <brian@butterfly.ml.org>  Wed, 12 Nov 1997 22:42:43 -0800

statserial (1.1-13.1) unstable; urgency=low
  
    * Non-maintainer release.
    * Libc6 compile.
    * Updated from pre 2.0.0.0 standards.
  
 -- Martin Mitchell <martin@debian.org>  Tue,  4 Nov 1997 03:35:40 +1100

Tue Apr 11 16:22:08 MET DST 1995 Christian Linhart <chris@cosy.sbg.ac.at>

	statserial (1.1-0):

	* Added Debian GNU/Linux package maintenance system files.

Thu Jun 27 10:34:32 MET DST 1996 Christian Linhart <chris@debian.org>

	statserial(1.1-12):
	* Updated debian.rules and debian.control for new packaging
	  standards. This fixes bug#3365.
	* Changed maintainer's email address.
	* Changed description-field to not contain program name.

Tue Jul  9 13:06:44 MET DST 1996 Christian Linhart <chris@debian.org>

        statserial(1.1-13):
	* Added extended description. This fixes bug#3639.

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: statserial
Build-Depends: debhelper, libncurses5-dev
Section: utils
Priority: extra
Maintainer: Vince Mulhollon <vlm@debian.org>
Standards-Version: 3.6.2.0

Package: statserial
Architecture: any
Depends: ${shlibs:Depends}
Description: Displays serial port modem status lines
 Statserial displays a table of the signals on a standard 9-pin or
 25-pin serial port, and indicates the status of the handshaking lines.
 It can be useful for debugging problems with serial ports or modems.

=== debian/rules ===
#!/usr/bin/make -f
# debian.rules file for statserial-1.1

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DH_COMPAT=4

build: build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) -i clean

	dh_clean

# Build architecture-independent files here.
binary-indep: build
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the files into debian/tmp
	install -m 755 statserial debian/statserial/usr/bin/statserial

	dh_installdocs README
	dh_installexamples phone_log
#	dh_installmenu
#	dh_installinit
#	dh_installcron
	dh_installman statserial.1
#	dh_undocumented
	dh_installchangelogs ChangeLog
	dh_strip
	dh_compress
	dh_fixperms
#	dh_suidregister
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
#	dh_makeshlibs
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
